Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ShiftPartParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.TimeIntervalParams
          umontreal.iro.lecuyer.contactcenters.msk.params.ShiftPartParams

    public class ShiftPartParams

extends TimeIntervalParams

Defines the part of a shift in the schedule of an agent group.

Field Summary
`protected String` | `type`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.TimeIntervalParams
`endingTime, startingTime`

Constructor Summary
`ShiftPartParams()`

Method Summary
`String` | `getType()` Gets the value of the type property.
`boolean` | `isSetType()`
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.TimeIntervalParams
`getEndingTime, getStartingTime, isSetEndingTime, isSetStartingTime, setEndingTime, setStartingTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected String type

Constructor Detail

### ShiftPartParams

    public ShiftPartParams()

Method Detail

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### isSetType

    public boolean isSetType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.